SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
brief: |
  Cancels the timer.
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
- Copyright (C) 1988, 2008 On-Line Applications Research Corporation (OAR)
definition:
  default:
    attributes: null
    body: null
    params:
    - ${../../type/if/id:/name} ${.:/params[0]/name}
    return: ${../../status/if/code:/name}
  variants: []
description: |
  This directive cancels the timer specified in the ${.:/params[0]/name}
  parameter.  This timer will be reinitiated by the next invocation of
  ${reset:/name}, ${fire-after:/name}, or ${fire-when:/name} with the same
  timer identifier.
enabled-by: true
index-entries:
- cancel a timer
interface-type: function
links:
- role: interface-placement
  uid: header
- role: interface-ingroup
  uid: group
name: rtems_timer_cancel
notes: |
  This directive will not cause the running task to be preempted.
params:
- description: is the timer identifier.
  dir: null
  name: id
return:
  return: null
  return-values:
  - description: |
      The requested operation was successful.
    value: ${../../status/if/successful:/name}
  - description: |
      There was no timer associated with the identifier specified by
      ${.:/params[0]/name}.
    value: ${../../status/if/invalid-id:/name}
type: interface
